// 工具类函数集合

import axios from "./http";

const utils={
    //去掉字符串头尾空格   
    $trim(str) {
      return str.replace(/(^\s*)|(\s*$)/g, "");
    },
    // 验证手机号
    $CheckPhone(value):boolean{
      const reg = /^1[3|4|5|6|7|8|9][0-9]{9}$/;
      if (!reg.test(value)) {
        return false;
      } else {
        return true;
      }
    },
    //匹配电话号码（座机）
    $CheckTel(value):boolean{
      const reg =/^(\(\d{3,4}\)|\d{3,4}-|\s)?\d{7,14}$/;
      if (!reg.test(value)) {
        return false;
      } else {
        return true;
      }
    },
    // 验证身份证号
    $CheckIDcard(value){
      const reg =/(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
      if (!reg.test(value)) {
        return false;
      } else {
        return true;
      }
    },
    $getPx(value){
      let res= value;
      res = res*window.innerWidth/1920;
      return res;
    },
     /**
     * [时间戳处理]
     * @Author   白富友
     * attr =[{val:1,txt:'bb'}];
     * @DateTime 2018-12-4
     */
    $time(time,type=1){ //13位
      let res = '';     
      if(time==''){
        return res;
      }   
      const date = new Date(time);
      const year = date.getFullYear();
      const mon = this.$bigTen(date.getMonth()+1);
      const day = this.$bigTen(date.getDate());
      const hour = this.$bigTen(date.getHours());
      const min = this.$bigTen(date.getMinutes());
      const sec = this.$bigTen(date.getSeconds());
      switch(type){
        case 1:
        res = mon+'/'+day+" "+hour+":"+min;
        break;
        case 2:
        res =year+'-'+mon+'-'+day+" "+hour+":"+min+':'+sec;
        break;
        case 3:
        res =year+'-'+mon+'-'+day+" "+hour+":"+min;
        break;
        case 4:
        res =year+'-'+mon+'-'+day;
        break;
      }
      return res;
    },
    // 将16进制转化为rgb
    $colorRgb(color,type='string'){
        let sColor= color.toLowerCase();

        const reg= /^#([0-9a-fA-f]{3}|[0-9a-fA-f]{6})$/;
        if(sColor&& reg.test(sColor)){
            if(sColor.length=== 4){
                let sColorNew= "#";
                for(let i=1;i<4; i+=1){
                    sColorNew+= sColor.slice(i,i+1).concat(sColor.slice(i,i+1));   
                }
                sColor= sColorNew;
            }
            //处理六位的颜色值
            let sColorChange= [];
            for(let i=1;i<7; i+=2){
                sColorChange.push(parseInt("0x"+sColor.slice(i,i+2))); 
            }
            let res = null;
            if(type=='string'){
              res = "RGB(" +sColorChange.join(",")+ ")";
            }else if(type=='attr'){
              res = sColorChange;
            }
            return res;
        }else{
            return sColor; 
        }
    } ,
    // 请求
    $getData(url:string, data:object, callback:any) {
      axios({
        method:'post',
        url:url,
        data:data,
        headers:{
          'token':sessionStorage.getItem('token'),
        },
      }).then((res) => {    
          callback(res);
      }).catch((err)=>{
          callback(err);       
      })
    }
  
}

export default utils;